Page MenuHomePhabricator

Merge ApiSandbox extension into core
Closed, ResolvedPublic

Description

It already needs a major rewrite to support ApiModuleManager, so we might as well put it in core at the same time.

Related Objects

Event Timeline

Legoktm created this task.Feb 12 2015, 8:45 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Anomie, Spage, MaxSem.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2015, 8:45 PM
Aklapper triaged this task as Low priority.Feb 13 2015, 2:56 PM
Anomie claimed this task.Feb 19 2015, 5:49 PM
Anomie added a project: MediaWiki-Core-Team.
Anomie set Security to None.
Anomie moved this task from Backlog to In Dev/Progress on the MediaWiki-Core-Team board.
Anomie moved this task from Unsorted to In Dev on the MediaWiki-API board.Feb 19 2015, 6:00 PM

This isn't technically blocked by T92893, but since I'm using oojs-ui to do the major rewrite it may as well be.

Change 209570 had a related patch set uploaded (by Anomie):
WIP: Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Anomie moved this task from In Dev to Blocked on the MediaWiki-API board.Sep 10 2015, 2:56 PM
Anomie moved this task from Blocked to Needs Review on the MediaWiki-API board.Jan 5 2016, 5:24 AM

Change 262977 had a related patch set uploaded (by Anomie):
Detect if ApiSandbox is in core

https://gerrit.wikimedia.org/r/262977

Change 262977 merged by jenkins-bot:
Detect if ApiSandbox is in core

https://gerrit.wikimedia.org/r/262977

Change 209570 merged by jenkins-bot:
Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Qgil awarded a token.Feb 4 2016, 9:55 AM